Bug 473141 - OpenJDK IcedTea plugin applet fails to unzip/initialize
OpenJDK IcedTea plugin applet fails to unzip/initialize
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 14:06 EST by P Rauser
Modified: 2009-12-18 01:57 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:57:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Java error (3.90 KB, text/plain)
2008-11-26 14:06 EST, P Rauser
no flags Details

  None (edit)
Description P Rauser 2008-11-26 14:06:21 EST
Created attachment 324777 [details]
Java error

Description of problem:

Attempting to run compressed web-based java applet (in this case the Juniper Networks "Network Connect" applet, ncLinuxLauncher.jar) results in an unzip error and a subsequent failure to verify jars.

Version-Release number of selected component (if applicable):

java-1.6.0-openjdk-1.6.0.0-6.b12.fc10.x86_64

also present in

java-1.6.0-openjdk-plugin-1.6.0.0-6.b13.fc11.x86_64

How reproducible:

Browse to web page with compressed applet

  
Actual results:

Applet fails, throws error (attached to this bug).

Expected results:

Applet launches.
Comment 1 Deepak Bhole 2009-01-21 15:34:20 EST
Can you please run firefox from the console as:

ICEDTEAPLUGIN_DEBUG=true firefox

and attach the resulting log, and the /tmp/java.stderr file that is subsequently generated?
Comment 2 Deepak Bhole 2009-02-17 14:37:40 EST
This issue should be fixed in the latest F10/Rawhide update. If you continue to experience problems, feel free to re-open!
Comment 3 P Rauser 2009-03-30 12:27:12 EDT
Error continues to occur in release java-1.6.0-openjdk-1.6.0.0-13.b14.fc10.x86_64:

net.sourceforge.jnlp.LaunchException: Fatal: Initialization Error: Could not initialize applet.
	at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:472)
	at net.sourceforge.jnlp.Launcher.getApplet(Launcher.java:418)
	at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:597)
Caused by: java.lang.NullPointerException
	at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:458)
	... 2 more
Caused by: 
java.lang.NullPointerException
	at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:458)
	at net.sourceforge.jnlp.Launcher.getApplet(Launcher.java:418)
	at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:597)
java.lang.NullPointerException
	at net.sourceforge.jnlp.NetxPanel.runLoader(NetxPanel.java:97)
	at sun.applet.AppletPanel.run(AppletPanel.java:380)
	at java.lang.Thread.run(Thread.java:636)
java.lang.NullPointerException
	at sun.applet.AppletPanel.run(AppletPanel.java:430)
	at java.lang.Thread.run(Thread.java:636)
Comment 4 Deepak Bhole 2009-03-31 13:56:46 EDT
Do you get a dialog asking you to accept the https certificate, or does it fail outright?
Comment 5 Kedar Patankar 2009-07-12 01:39:51 EDT
Hi,

I tried this with all the latest updates from F11 as of 07/11/09. That includes Firefox-3.5, and openjdk/icedtea plugins.

Here is what I see happen.

1. I point firefox to my company's VPN gateway.
2. Login.
3. Click on the SSL/VPN launcher.
4. Firefox crashes. The browser window is just gone.
5. I re-start firefox, and it re-opens all the tabs and appears to have picked up where the previous session died.
6. I re-click on the SSL/VPN launcher.
7. THis time it asks me twice whether to trust the .jars it is downloading.
8. I select "always trust", and then "yes" to both the dialogs.
9. I get "Setup failed sorry" error.

I will capture the console output with ICEDTEAPLUGIN_DEBUG=true and post it.
Comment 6 Bug Zapper 2009-11-18 03:59:00 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:57:37 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.